Summary: Print dialog and printer manager for XFce 4
Name: xfprint
Version: 4.2.0
Release: 1
License: BSD
URL: http://www.xfce.org
Source0: http://www.xfce.org/archive/xfce-4.0.6/src/%{name}-%{version}.tar.bz2
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prereq: /sbin/ldconfig
Requires: glib2 >= 2.0.6
Requires: libxfcegui4 >= %{version}
Requires: a2ps
BuildRequires: glib2-devel >= 2.0.6
BuildRequires: libxfcegui4-devel >= %{version}
BuildRequires: a2ps

%description
xfprint contains a print dialog and a printer manager for the
XFce 4 Desktop Environment

%prep
%setup -q

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog NEWS COPYING AUTHORS NOTES
%{_bindir}/*
%{_libdir}/xfce4/mcs-plugins
%{_libdir}/xfce4/xfprint-plugins
%{_datadir}/applications/*
%{_datadir}/xfce4/doc/C
%{_datadir}/icons/hicolor/*/*/*

%changelog
* Fri Jan 28 2005 Than Ngo <than@redhat.com> 4.2.0-1
- 4.2.0

* Wed Sep 01 2004 Than Ngo <than@redhat.com> 4.0.6-2
- get rid of useless static library
- add missing ldconfig
- use find_lang

* Tue Aug 17 2004 Than Ngo <than@redhat.com> 4.0.6-1 
- Initial packaging for Fedora Core 3 
